## m3w-widget 0.1

=== Makefile ===
#############################################################################
# Makefile for building: m3w-widget
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Sep 14 16:30:38 2010
# Project:  m3w-widget.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile m3w-widget.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-m3w-widget

m3w-widget/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) m3w-widget/ || $(MKDIR) m3w-widget/ 
	cd m3w-widget/ && $(QMAKE) /home/galov/gui/m3w-widget-0.1/m3w-widget/m3w-widget.pro -unix -o $(MAKEFILE)
sub-m3w-widget-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) m3w-widget/ || $(MKDIR) m3w-widget/ 
	cd m3w-widget/ && $(QMAKE) /home/galov/gui/m3w-widget-0.1/m3w-widget/m3w-widget.pro -unix -o $(MAKEFILE)
sub-m3w-widget: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE)
sub-m3w-widget-make_default: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) 
sub-m3w-widget-make_first: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) first
sub-m3w-widget-all: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) all
sub-m3w-widget-clean: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) clean
sub-m3w-widget-distclean: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) distclean
sub-m3w-widget-install_subtargets: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) install
sub-m3w-widget-uninstall_subtargets: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: m3w-widget.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile m3w-widget.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile m3w-widget.pro

qmake_all: sub-m3w-widget-qmake_all FORCE

make_default: sub-m3w-widget-make_default FORCE
make_first: sub-m3w-widget-make_first FORCE
all: sub-m3w-widget-all FORCE
clean: sub-m3w-widget-clean FORCE
distclean: sub-m3w-widget-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-m3w-widget-install_subtargets FORCE
uninstall_subtargets: sub-m3w-widget-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== m3w-widget/Makefile ===
#############################################################################
# Makefile for building: m3w-widget
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Sep 14 16:30:39 2010
# Project:  m3w-widget.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile m3w-widget.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtXml -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/scew -I../qmaemo5homescreenadaptor -Ikpi_low -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lscew -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mywidget.cpp \
		thread.cpp \
		settingsdialog.cpp \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp \
		kpi_low/compose_ssap_msg.c \
		kpi_low/kpi_low.c \
		kpi_low/parse_ssap_msg.c \
		kpi_low/process_ssap_cnf.c \
		kpi_low/sib_access_tcp.c \
		kpi_low/sskp_errno.c moc_mywidget.cpp \
		moc_thread.cpp \
		moc_settingsdialog.cpp \
		moc_qmaemo5homescreenadaptor.cpp
OBJECTS       = main.o \
		mywidget.o \
		thread.o \
		settingsdialog.o \
		qmaemo5homescreenadaptor.o \
		compose_ssap_msg.o \
		kpi_low.o \
		parse_ssap_msg.o \
		process_ssap_cnf.o \
		sib_access_tcp.o \
		sskp_errno.o \
		moc_mywidget.o \
		moc_thread.o \
		moc_settingsdialog.o \
		moc_qmaemo5homescreenadaptor.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		kpi_low/kpi_low.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		m3w-widget.pro
QMAKE_TARGET  = m3w-widget
DESTDIR       = 
TARGET        = m3w-widget

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: m3w-widget.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		kpi_low/kpi_low.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile m3w-widget.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
kpi_low/kpi_low.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile m3w-widget.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/m3w-widget1.0.0 || $(MKDIR) .tmp/m3w-widget1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/m3w-widget1.0.0/ && $(COPY_FILE) --parents mywidget.h thread.h settingsdialog.h ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h kpi_low/compose_ssap_msg.h kpi_low/kpi_low.h kpi_low/parse_ssap_msg.h kpi_low/process_ssap_cnf.h kpi_low/sib_access_tcp.h kpi_low/sskp_errno.h .tmp/m3w-widget1.0.0/ && $(COPY_FILE) --parents main.cpp mywidget.cpp thread.cpp settingsdialog.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp kpi_low/compose_ssap_msg.c kpi_low/kpi_low.c kpi_low/parse_ssap_msg.c kpi_low/process_ssap_cnf.c kpi_low/sib_access_tcp.c kpi_low/sskp_errno.c .tmp/m3w-widget1.0.0/ && (cd `dirname .tmp/m3w-widget1.0.0` && $(TAR) m3w-widget1.0.0.tar m3w-widget1.0.0 && $(COMPRESS) m3w-widget1.0.0.tar) && $(MOVE) `dirname .tmp/m3w-widget1.0.0`/m3w-widget1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/m3w-widget1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mywidget.cpp moc_thread.cpp moc_settingsdialog.cpp moc_qmaemo5homescreenadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mywidget.cpp moc_thread.cpp moc_settingsdialog.cpp moc_qmaemo5homescreenadaptor.cpp
moc_mywidget.cpp: thread.h \
		mywidget.h \
		mywidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mywidget.h -o moc_mywidget.cpp

moc_thread.cpp: mywidget.h \
		thread.h \
		thread.h
	/usr/bin/moc $(DEFINES) $(INCPATH) thread.h -o moc_thread.cpp

moc_settingsdialog.cpp: mywidget.h \
		thread.h \
		settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_qmaemo5homescreenadaptor.cpp: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h -o moc_qmaemo5homescreenadaptor.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mywidget.h \
		thread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mywidget.o: mywidget.cpp mywidget.h \
		thread.h \
		settingsdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mywidget.o mywidget.cpp

thread.o: thread.cpp thread.h \
		mywidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o thread.o thread.cpp

settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		mywidget.h \
		thread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdialog.o settingsdialog.cpp

qmaemo5homescreenadaptor.o: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmaemo5homescreenadaptor.o ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp

compose_ssap_msg.o: kpi_low/compose_ssap_msg.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/compose_ssap_msg.h \
		kpi_low/ssap_msg_common.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o compose_ssap_msg.o kpi_low/compose_ssap_msg.c

kpi_low.o: kpi_low/kpi_low.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/compose_ssap_msg.h \
		kpi_low/parse_ssap_msg.h \
		kpi_low/process_ssap_cnf.h \
		kpi_low/sskp_errno.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o kpi_low.o kpi_low/kpi_low.c

parse_ssap_msg.o: kpi_low/parse_ssap_msg.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/parse_ssap_msg.h \
		kpi_low/ssap_msg_common.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o parse_ssap_msg.o kpi_low/parse_ssap_msg.c

process_ssap_cnf.o: kpi_low/process_ssap_cnf.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/parse_ssap_msg.h \

## m3w-widget 0.1-8

=== debian/changelog ===
m3w-widget (0.1-8) unstable; urgency=low

  * Added network state monitoring

 -- Borovinsky Pavel <borovins@cs.karelia.ru>  Wed, 6 Oct 2010 15:12:00 +0400

m3w-widget (0.1-7) unstable; urgency=low

  * Added settings window

 -- Galov Ivan <galov@cs.karelia.ru>  Thu, 16 Sep 2010 12:56:00 +0400

m3w-widget (0.1-6) unstable; urgency=low

  * Fixed using homescreen-loader

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 10 Aug 2010 13:05:00 +0400

m3w-widget (0.1-5) unstable; urgency=low

  * Added turning ON/OFF GPS

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 10 Aug 2010 13:05:00 +0400

m3w-widget (0.1-4) unstable; urgency=low

  * Fixed crashing at first launch

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 10 Aug 2010 13:05:00 +0400

m3w-widget (0.1-3) unstable; urgency=low

  * Fixed pictures names

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 10 Aug 2010 11:43:00 +0400

m3w-widget (0.1-2) unstable; urgency=low

  * Added auto-resizing of widget

 -- Galov Ivan <galov@cs.karelia.ru>  Tue, 03 Aug 2010 12:48:18 +0400

m3w-widget (0.1-1) unstable; urgency=low

  * First release

 -- Galov Ivan <galov@cs.karelia.ru>  Thu, 29 Jul 2010 11:07:18 +0400

=== debian/control ===
Source: m3w-widget
Section: user/navigation
Priority: extra
Maintainer: Galov Ivan <galov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), m3w-gps, libqt4-dev, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libx11-dev, libexpat1-dev, libexpat1, libhildondesktop1, libhildondesktop1-dev, libqtm-dev
Standards-Version: 3.7.2

Package: m3w-widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libexpat1, libhildondesktop1, qt4-homescreen-loader, m3w-gps
XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=m3-weather
Description: KP-GUI for M3-Weather application
 M3-Weather is a prototype of tourist application. This application defines coordinates of the current location using GPS and shows the forecast for the fixed area. M3-Weather uses web-site Weather.com for getting forecast and web-site Geonames.org for getting the name of the nearest city.
 This KP subscribes on current weather which is published in SIB by KP-Weather and name of current locality which is published in SIB by KP-City. Then all this information is shown on the display of internet tablet.
ATTENTION: this program is not working on desktop computers. Only on internet tablet.

## m3w-widget 0.1-9

=== Makefile ===
#############################################################################
# Makefile for building: m3w-widget
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Oct 5 15:22:49 2010
# Project:  m3w-widget.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile m3w-widget.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-m3w-widget

m3w-widget/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) m3w-widget/ || $(MKDIR) m3w-widget/ 
	cd m3w-widget/ && $(QMAKE) /home/borovins/MyDocs/m3w-widget-0.1/m3w-widget/m3w-widget.pro -unix -o $(MAKEFILE)
sub-m3w-widget-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) m3w-widget/ || $(MKDIR) m3w-widget/ 
	cd m3w-widget/ && $(QMAKE) /home/borovins/MyDocs/m3w-widget-0.1/m3w-widget/m3w-widget.pro -unix -o $(MAKEFILE)
sub-m3w-widget: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE)
sub-m3w-widget-make_default: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) 
sub-m3w-widget-make_first: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) first
sub-m3w-widget-all: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) all
sub-m3w-widget-clean: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) clean
sub-m3w-widget-distclean: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) distclean
sub-m3w-widget-install_subtargets: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) install
sub-m3w-widget-uninstall_subtargets: m3w-widget/$(MAKEFILE) FORCE
	cd m3w-widget/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: m3w-widget.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile m3w-widget.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile m3w-widget.pro

qmake_all: sub-m3w-widget-qmake_all FORCE

make_default: sub-m3w-widget-make_default FORCE
make_first: sub-m3w-widget-make_first FORCE
all: sub-m3w-widget-all FORCE
clean: sub-m3w-widget-clean FORCE
distclean: sub-m3w-widget-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-m3w-widget-install_subtargets FORCE
uninstall_subtargets: sub-m3w-widget-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== m3w-widget/Makefile ===
#############################################################################
# Makefile for building: m3w-widget
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Oct 5 15:22:52 2010
# Project:  m3w-widget.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile m3w-widget.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_MOBILITY_BEARER -DQT_MAEMO5_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/QtBearer -I/targets/FREMANTLE_ARMEL/usr/include/scew -I../qmaemo5homescreenadaptor -Ikpi_low -I/targets/FREMANTLE_ARMEL/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lscew -L/usr/lib -lQtBearer -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mywidget.cpp \
		thread.cpp \
		settingsdialog.cpp \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp \
		kpi_low/compose_ssap_msg.c \
		kpi_low/kpi_low.c \
		kpi_low/parse_ssap_msg.c \
		kpi_low/process_ssap_cnf.c \
		kpi_low/sib_access_tcp.c \
		kpi_low/sskp_errno.c moc_mywidget.cpp \
		moc_thread.cpp \
		moc_settingsdialog.cpp \
		moc_qmaemo5homescreenadaptor.cpp
OBJECTS       = main.o \
		mywidget.o \
		thread.o \
		settingsdialog.o \
		qmaemo5homescreenadaptor.o \
		compose_ssap_msg.o \
		kpi_low.o \
		parse_ssap_msg.o \
		process_ssap_cnf.o \
		sib_access_tcp.o \
		sskp_errno.o \
		moc_mywidget.o \
		moc_thread.o \
		moc_settingsdialog.o \
		moc_qmaemo5homescreenadaptor.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		kpi_low/kpi_low.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		m3w-widget.pro
QMAKE_TARGET  = m3w-widget
DESTDIR       = 
TARGET        = m3w-widget

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: m3w-widget.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		kpi_low/kpi_low.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile m3w-widget.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
kpi_low/kpi_low.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile m3w-widget.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/m3w-widget1.0.0 || $(MKDIR) .tmp/m3w-widget1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/m3w-widget1.0.0/ && $(COPY_FILE) --parents mywidget.h thread.h settingsdialog.h ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h kpi_low/compose_ssap_msg.h kpi_low/kpi_low.h kpi_low/parse_ssap_msg.h kpi_low/process_ssap_cnf.h kpi_low/sib_access_tcp.h kpi_low/sskp_errno.h .tmp/m3w-widget1.0.0/ && $(COPY_FILE) --parents main.cpp mywidget.cpp thread.cpp settingsdialog.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp kpi_low/compose_ssap_msg.c kpi_low/kpi_low.c kpi_low/parse_ssap_msg.c kpi_low/process_ssap_cnf.c kpi_low/sib_access_tcp.c kpi_low/sskp_errno.c .tmp/m3w-widget1.0.0/ && (cd `dirname .tmp/m3w-widget1.0.0` && $(TAR) m3w-widget1.0.0.tar m3w-widget1.0.0 && $(COMPRESS) m3w-widget1.0.0.tar) && $(MOVE) `dirname .tmp/m3w-widget1.0.0`/m3w-widget1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/m3w-widget1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mywidget.cpp moc_thread.cpp moc_settingsdialog.cpp moc_qmaemo5homescreenadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mywidget.cpp moc_thread.cpp moc_settingsdialog.cpp moc_qmaemo5homescreenadaptor.cpp
moc_mywidget.cpp: mywidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mywidget.h -o moc_mywidget.cpp

moc_thread.cpp: thread.h
	/usr/bin/moc $(DEFINES) $(INCPATH) thread.h -o moc_thread.cpp

moc_settingsdialog.cpp: mywidget.h \
		settingsdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_qmaemo5homescreenadaptor.cpp: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h -o moc_qmaemo5homescreenadaptor.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp mywidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mywidget.o: mywidget.cpp mywidget.h \
		settingsdialog.h \
		thread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mywidget.o mywidget.cpp

thread.o: thread.cpp thread.h \
		mywidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o thread.o thread.cpp

settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		mywidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settingsdialog.o settingsdialog.cpp

qmaemo5homescreenadaptor.o: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmaemo5homescreenadaptor.o ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp

compose_ssap_msg.o: kpi_low/compose_ssap_msg.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/compose_ssap_msg.h \
		kpi_low/ssap_msg_common.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o compose_ssap_msg.o kpi_low/compose_ssap_msg.c

kpi_low.o: kpi_low/kpi_low.c kpi_low/kpi_low.h \
		kpi_low/sib_access_nota.h \
		kpi_low/sib_access_tcp.h \
		kpi_low/compose_ssap_msg.h \
		kpi_low/parse_ssap_msg.h \
		kpi_low/process_ssap_cnf.h \
		kpi_low/sskp_errno.h

=== debian/changelog ===
m3w-widget (0.1-9) unstable; urgency=low

  * Fixed build depends

 -- Borovinsky Pavel <borovins@cs.karelia.ru>  Wed, 7 Oct 2010 13:20:00 +0400

=== debian/control ===
Source: m3w-widget
Section: user/navigation
Priority: extra
Maintainer: Galov Ivan <galov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), m3w-gps, libqt4-dev, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libx11-dev, libexpat1-dev, libexpat1, libhildondesktop1, libhildondesktop1-dev, libqtm-bearer, libqtm-dev
Standards-Version: 3.7.2

Package: m3w-widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libexpat1, libhildondesktop1, qt4-homescreen-loader, m3w-gps, libqtm-bearer, libqtm-dev
XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=m3-weather
Description: KP-GUI for M3-Weather application
 M3-Weather is a prototype of tourist application. This application defines coordinates of the current location using GPS and shows the forecast for the fixed area. M3-Weather uses web-site Weather.com for getting forecast and web-site Geonames.org for getting the name of the nearest city.
 This KP subscribes on current weather which is published in SIB by KP-Weather and name of current locality which is published in SIB by KP-City. Then all this information is shown on the display of internet tablet.
ATTENTION: this program is not working on desktop computers. Only on internet tablet.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := m3w-widget
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## m3w-widget 0.1-10

=== debian/changelog ===
m3w-widget (0.1-10) unstable; urgency=low

  * Fixed build depends

 -- Borovinsky Pavel <borovins@cs.karelia.ru>  Wed, 7 Oct 2010 13:50:00 +0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: m3w-widget
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libexpat1, libhildondesktop1, qt4-homescreen-loader, m3w-gps, libqtm-bearer, libqtm-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, scew, libqt4-maemo5, uuid-runtime, libx11-6, libx11-data, libexpat1, libhildondesktop1, qt4-homescreen-loader, m3w-gps, libqtm-bearer
 XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=m3-weather
 Description: KP-GUI for M3-Weather application
  M3-Weather is a prototype of tourist application. This application defines coordinates of the current location using GPS and shows the forecast for the fixed area. M3-Weather uses web-site Weather.com for getting forecast and web-site Geonames.org for getting the name of the nearest city.
